%define shortname simplejson

# Disable useless provides ('_speedups.so' and similar)
%define __noautoprov '_.*\.so'

Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Name:		python-%{shortname}
Version:	3.8.0
Release:	1
License:	MIT
Group:		Development/Python
Url:		http://undefined.org/python/#simplejson
Source0:	https://pypi.python.org/packages/source/s/simplejson/simplejson-%{version}.tar.gz
BuildRequires:	python-distribute
BuildRequires:	pkgconfig(python)

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%files
%{py_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{shortname}-%{version}

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{py_platsitedir}

%changelog

* Fri Jan 01 2016 dsilakov <denis.silakov@rosalab.ru> 3.8.0-1
- (ac4aaa1) Merge pull request #8 from import/python-simplejson:auto_update
- (ac4aaa1) Updated to 3.8.0 (by updates_builder)


